package rocks.zipcode;

import java.io.*;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * @author leon on 16/11/2018.
 */
public class NumericCharDocument extends Document {

    public NumericCharDocument(String fileName) throws IOException {
        super(fileName);
    }

    @Override
    public void write(String contentToBeWritten) {
        if(super.isSpecialChar(contentToBeWritten)) {
            throw new IllegalArgumentException();
        }else if(super.isAlpha(contentToBeWritten)){
            throw new IllegalArgumentException();
        }else {
            super.write(contentToBeWritten);
        }
    }
}
